SAVELOG(8)

NAZWA
savelog - zachowuje plik dziennika

SKŁADNIA
savelog [-m uprawnienia] [-u użytkownik] [-g grupa] [-t] [-p] [-c liczba_cykli] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r katalog] [-n] [-q] [-D format_daty] plik ...

OPIS
Polecenie savelog zachowuje i opcjonalnie kompresuje stare kopie plików. Starsze wersje pliku są nazywane:

    plik.<numer><sufix_kompresji>

gdzie <numer> jest numerem wersji, 0 oznacza najnowszą. Wersje o numerach > 0 są kompresowane, chyba że zostało to zabronione za pomocą opcji -l. Wersja 0 nie jest kompresowana, ponieważ proces może mieć wciąż otwarty plik i wykonywać na nim operacje wejścia/wyjścia. Tylko liczba_cykli wersji plików jest przechowywanych.

Jeśli plik nie istnieje oraz podano opcję -t, to zostanie utworzony.

W przypadku plików, które istnieją i mają rozmiar większy od zera, wykonywane są następujące akcje:

1)  Version numbered files are cycled. Version file.2 is moved to version file.3, version file.1 is moved to version file.2, and so on. Finally version file.0 is moved to version file.1, and version file is deleted. Both compressed names and uncompressed names are cycled, regardless of -l. Missing version files are ignored.

2)  The new file.1 is compressed unless the -l flag was given. It is changed subject to the -m, -u, and -g flags.

3)  The main file is moved to file.0.

4)  Jeśli podano opcje -m, -u, -g, -t lub -p, to tworzony jest pusty plik, zgodnie z ustawieniami tych opcji. Opcja -p powoduje, że uprawnienia do pliku będą takie same, jak poprzednio.

5)  The new file.0 is changed subject to the -m, -u, and -g flags.

OPCJE

-m uprawnienia
    ustawia prawa dostępu do plików na podane uprawnienia, włącza -t

-u użytkownik
    zmienia właściciela plików na podanego użytkownika, włącza -t

-g grupa
    zmienia grupę będącą właścicielem pliku na podaną grupę, włącza -t

-c liczba_cykli
    Save cycle versions of the logfile (default: 7). The cycle count must be at least 2.

-t  tworzy nowy plik dziennika, jeśli nie istnieje

-l  nie kompresuje żadnych plików dziennika (domyślnie: kompresuje)

-p  zachowuje właściciela, grupę i uprawnienia pliku dziennika

-j  używa bzip2 zamiast gzip do kompresowania

-J  używa xz zamiast gzip do kompresowania

    For xz no strength option is set, and xz decides on the default based on the total amount of physical RAM. Note that xz can use a very large amount of memory for the higher compression levels.

-1 .. -9
    siła kompresji lub użycie pamięci (domyślnie: 9, z wyjątkiem kompresji xz)

-C  wymusza usunięcie cyklicznie przeniesionych plików dziennika

-d  używa standardowej daty do obracania

-D format_daty
    override date format, in the syntax understood by the date(1) command

-r  use rolldir instead of . to roll files

-n  nie rotuje pustych plików

-q  tryb cichy

BŁĘDY
If a process is still writing to file.0, and savelog moves it to file.1 and compresses it, data could be lost.

ZOBACZ TAKŻE
logrotate(8)

TŁUMACZENIE
Niniejsze tłumaczenie jest częścią pakietu debianutils. Strony podręcznika zawarte w pakiecie przetłumaczyli: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl>, Michał Kułach <michal.kulach@gmail.com> oraz Robert Luberda <robert@debian.org>.